Get Custom Fields

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to retrieve the list of custom fields configured for historical points import in your organisation. The API returns only the custom fields created for your organisation. If no custom fields exist, the API returns an empty entity array.

Use this API to:

  • Validate available custom fields before importing historical points.
  • Build a dynamic mapping UI for historical points upload.

Default behaviour

  • Returns all custom fields.
  • Returns an empty entity array if no custom fields are configured.
  • Does not support pagination.

Prerequisites

This API returns only custom fields created for your organization. If no custom fields are configured, the API returns an empty array.

Example request

curl --location 'https://eu.intouch.capillarytech.com/v2/historicalPoints/getCustomFields' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--header 'Authorization: Basic bmVlcmFqLmRvYzpiNGFmODAMzMzQzMWVmOWFjOQ==' \
--data ''

Resource information

Pagination supportNo
Batch supportNo

Example response

{
    "entity": [
        {
            "customFieldName": "testField2",
            "createdBy": "-1",
            "createdOn": "2026-02-16 14:58:15",
            "createdOnISO": "2026-02-16T14:58:15Z",
            "updatedOn": "2026-02-18 10:23:38",
            "updatedOnISO": "2026-02-18T10:23:38Z",
            "active": true
        },
        {
            "customFieldName": "testField3",
            "createdBy": "-1",
            "createdOn": "2026-02-18 10:23:38",
            "createdOnISO": "2026-02-18T10:23:38Z",
            "updatedOn": "2026-02-18 10:23:38",
            "updatedOnISO": "2026-02-18T10:23:38Z",
            "active": true
        },
        {
            "customFieldName": "testField4",
            "createdBy": "-1",
            "createdOn": "2026-02-18 10:24:10",
            "createdOnISO": "2026-02-18T10:24:10Z",
            "updatedOn": "2026-02-18 10:42:22",
            "updatedOnISO": "2026-02-18T10:42:22Z",
            "active": true
        },
        {
            "customFieldName": "testField5",
            "createdBy": "-1",
            "createdOn": "2026-02-18 10:24:10",
            "createdOnISO": "2026-02-18T10:24:10Z",
            "updatedOn": "2026-02-18 10:42:22",
            "updatedOnISO": "2026-02-18T10:42:22Z",
            "active": true
        }
    ],
    "warnings": []
}

Response parameters

FieldTypeDescription
entityarrayList of custom fields configured for historical points import.
-customFieldNamestringName of the custom field.
-createdBystringUsername of the user who created the field.
-createdOnstringDate and time when the field was created in the server timezone. This field is being replaced by createdOnISO and will be deprecated in the future.
-createdOnISOstring

Date and time when the custom field was created in ISO 8601 format, returned in the server time zone.

EU server example 2026-02-19T09:05:15Z → 19 February 2026, 09:05:15 (UTC)

India server example 2026-02-19T14:35:15+05:30 → 19 February 2026, 14:35:15 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

-updatedOnstringDate and time when the field was last updated. This field is being replaced by updatedOnISO and will be deprecated in the future.
-updatedOnISOstring

Date and time when the custom field was last updated in ISO 8601 format, returned in the server time zone.

EU server example 2026-02-19T09:04:23Z → 19 February 2026, 09:04:23 (UTC)

India server example 2026-02-19T14:34:23+05:30 → 19 February 2026, 14:34:23 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

-activestringIndicates if the custom field is active or not.
warningsarrayList of warning messages.
Body Params
customFieldName
array of strings
customFieldName
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json